Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.cd.v1
Enum CDEBIRTHCAESAREANINDICATIONvalues

    java.lang.Object
      java.lang.Enum<CDEBIRTHCAESAREANINDICATIONvalues>
          be.fgov.ehealth.standards.kmehr.cd.v1.CDEBIRTHCAESAREANINDICATIONvalues

All Implemented Interfaces:
  Serializable, Comparable<CDEBIRTHCAESAREANINDICATIONvalues>

    public enum CDEBIRTHCAESAREANINDICATIONvalues

extends Enum<CDEBIRTHCAESAREANINDICATIONvalues>

Java class for CD-EBIRTH-CAESAREANINDICATIONvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-EBIRTH-CAESAREANINDICATIONvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="previouscaesareansection"/>
         <enumeration value="breechpresentation"/>
         <enumeration value="transversepresentation"/>
         <enumeration value="foetaldistress"/>
         <enumeration value="dystocienotinlabour"/>
         <enumeration value="dystocieinlabourinsufficientdilatation"/>
         <enumeration value="dystocieinlabourinsufficientexpulsion"/>
         <enumeration value="maternalindication"/>
         <enumeration value="abruptioplacentae"/>
         <enumeration value="requestedbypatient"/>
         <enumeration value="multiplepregnancy"/>
         <enumeration value="other"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ABRUPTIOPLACENTAE`
`BREECHPRESENTATION`
`DYSTOCIEINLABOURINSUFFICIENTDILATATION`
`DYSTOCIEINLABOURINSUFFICIENTEXPULSION`
`DYSTOCIENOTINLABOUR`
`FOETALDISTRESS`
`MATERNALINDICATION`
`MULTIPLEPREGNANCY`
`OTHER`
`PREVIOUSCAESAREANSECTION`
`REQUESTEDBYPATIENT`
`TRANSVERSEPRESENTATION`

Method Summary
`static CDEBIRTHCAESAREANINDICATIONvalues` | `fromValue(String v)`
`String` | `value()`
`static CDEBIRTHCAESAREANINDICATIONvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDEBIRTHCAESAREANINDICATIONvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PREVIOUSCAESAREANSECTION

    public static final CDEBIRTHCAESAREANINDICATIONvalues PREVIOUSCAESAREANSECTION

### BREECHPRESENTATION

    public static final CDEBIRTHCAESAREANINDICATIONvalues BREECHPRESENTATION

### TRANSVERSEPRESENTATION

    public static final CDEBIRTHCAESAREANINDICATIONvalues TRANSVERSEPRESENTATION

### FOETALDISTRESS

    public static final CDEBIRTHCAESAREANINDICATIONvalues FOETALDISTRESS

### DYSTOCIENOTINLABOUR

    public static final CDEBIRTHCAESAREANINDICATIONvalues DYSTOCIENOTINLABOUR

### DYSTOCIEINLABOURINSUFFICIENTDILATATION

    public static final CDEBIRTHCAESAREANINDICATIONvalues DYSTOCIEINLABOURINSUFFICIENTDILATATION

### DYSTOCIEINLABOURINSUFFICIENTEXPULSION

    public static final CDEBIRTHCAESAREANINDICATIONvalues DYSTOCIEINLABOURINSUFFICIENTEXPULSION

### MATERNALINDICATION

    public static final CDEBIRTHCAESAREANINDICATIONvalues MATERNALINDICATION

### ABRUPTIOPLACENTAE

    public static final CDEBIRTHCAESAREANINDICATIONvalues ABRUPTIOPLACENTAE

### REQUESTEDBYPATIENT

    public static final CDEBIRTHCAESAREANINDICATIONvalues REQUESTEDBYPATIENT

### MULTIPLEPREGNANCY

    public static final CDEBIRTHCAESAREANINDICATIONvalues MULTIPLEPREGNANCY

### OTHER

    public static final CDEBIRTHCAESAREANINDICATIONvalues OTHER

Method Detail

### values

    public static CDEBIRTHCAESAREANINDICATIONvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDEBIRTHCAESAREANINDICATIONvalues c : CDEBIRTHCAESAREANINDICATIONvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDEBIRTHCAESAREANINDICATIONvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDEBIRTHCAESAREANINDICATIONvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.